Bug 1263578 - Review Request: NetworkManager-fortisslvpn - NetworkManager VPN plugin for Fortinet compatible SSLVPN
Review Request: NetworkManager-fortisslvpn - NetworkManager VPN plugin for Fo...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 1263008
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 04:45 EDT by Lubomir Rintel
Modified: 2015-10-05 10:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 10:30:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
adrienverge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2015-09-16 04:45:38 EDT
SPEC: http://v3.sk/~lkundrak/SPECS/NetworkManager-fortisslvpn.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/NetworkManager-fortisslvpn-1.0.0-0.1.20150906git2a58251.fc22.src.rpm
FAS account: lkundrak

Description:

This package contains software for integrating VPN capabilities with
the Fortinet compatible SSLVPN server with NetworkManager.
Comment 2 Adrien Vergé 2015-09-29 07:41:20 EDT
On Fedora 22 I need:

BuildRequires: libnm-gtk-devel >= 1.0.4

Also please add %config(noreplace) to:

%{_sysconfdir}/dbus-1/system.d/nm-fortisslvpn-service.conf
%{_sysconfdir}/NetworkManager/VPN/nm-fortisslvpn-service.name
Comment 3 Lubomir Rintel 2015-09-29 11:14:15 EDT
(In reply to Adrien Vergé from comment #2)
> On Fedora 22 I need:
> 
> BuildRequires: libnm-gtk-devel >= 1.0.4

Done. Some other versions too.

> Also please add %config(noreplace) to:
> 
> %{_sysconfdir}/dbus-1/system.d/nm-fortisslvpn-service.conf
> %{_sysconfdir}/NetworkManager/VPN/nm-fortisslvpn-service.name

They're not config files despite rpmlint warnings.

SPEC: http://v3.sk/~lkundrak/SPECS/NetworkManager-fortisslvpn.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/NetworkManager-fortisslvpn-1.0.0-2.fc22.src.rpm
Comment 4 Adrien Vergé 2015-09-30 09:19:47 EDT
Thanks for the correction.

On Fedora 23 %{ppp_version} becomes "package ppp is not installed" in your spec, causing fedora-review to fail prematurely. This is because mock calls rpmbuild with `--nodeps`.

Since this won't happen outside of mock, I don't see this as a blocker. I rebuilt a SRPM with %{ppp_version} fixed to 2.4.7 and ran fedora-review. I'll paste the result in the next comment.
Comment 5 Adrien Vergé 2015-09-30 09:26:34 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)". Detailed output of licensecheck in
     /home/fedora/review-NetworkManager-fortisslvpn/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/dbus-1/system.d
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/dbus-1/system.d,
     /usr/lib64/NetworkManager
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     NetworkManager-fortisslvpn-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
Error because dependency "openfortivpn" not found. This is because the package hasn't been pushed to Bodhi yet. See bug 1263008.


Rpmlint
-------
Cannot parse rpmlint output:


Requires
--------
NetworkManager-fortisslvpn-debuginfo (rpmlib, GLIBC filtered):

NetworkManager-fortisslvpn (rpmlib, GLIBC filtered):
    NetworkManager
    dbus
    gtk3
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libdbus-1.so.3()(64bit)
    libdbus-1.so.3(LIBDBUS_1_3)(64bit)
    libdbus-glib-1.so.2()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libnm-glib-vpn.so.1()(64bit)
    libnm-glib.so.4()(64bit)
    libnm-gtk.so.0()(64bit)
    libnm-util.so.2()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libsecret-1.so.0()(64bit)
    openfortivpn
    ppp
    rtld(GNU_HASH)

NetworkManager-fortisslvpn-gnome (rpmlib, GLIBC filtered):
    NetworkManager-fortisslvpn(x86-64)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libdbus-1.so.3()(64bit)
    libdbus-glib-1.so.2()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libnm-glib-vpn.so.1()(64bit)
    libnm-glib.so.4()(64bit)
    libnm-gtk.so.0()(64bit)
    libnm-gtk.so.0(libnm_gtk_1_0_6)(64bit)
    libnm-util.so.2()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    nm-connection-editor
    rtld(GNU_HASH)



Provides
--------
NetworkManager-fortisslvpn-debuginfo:
    NetworkManager-fortisslvpn-debuginfo
    NetworkManager-fortisslvpn-debuginfo(x86-64)

NetworkManager-fortisslvpn:
    NetworkManager-fortisslvpn
    NetworkManager-fortisslvpn(x86-64)

NetworkManager-fortisslvpn-gnome:
    NetworkManager-fortisslvpn-gnome
    NetworkManager-fortisslvpn-gnome(x86-64)



Unversioned so-files
--------------------
NetworkManager-fortisslvpn: /usr/lib64/pppd/2.4.7/nm-fortisslvpn-pppd-plugin.so
NetworkManager-fortisslvpn-gnome: /usr/lib64/NetworkManager/libnm-fortisslvpn-properties.so

Source checksums
----------------
https://download.gnome.org/sources/NetworkManager-fortisslvpn/1.0/NetworkManager-fortisslvpn-1.0.0.tar.xz :
  CHECKSUM(SHA256) this package     : 2f9a9c2303310e753de6e309981de60fd5e324fcce2785611f11fc3eceafb2d2
  CHECKSUM(SHA256) upstream package : 2f9a9c2303310e753de6e309981de60fd5e324fcce2785611f11fc3eceafb2d2


AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: NetworkManager-fortisslvpn-1.0.0/configure.ac:17


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n NetworkManager-fortisslvpn
Buildroot used: fedora-23-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

-------------------

PACKAGE APPROVED.

-------------------
Comment 6 Lubomir Rintel 2015-10-02 05:54:27 EDT
New Package SCM Request
=======================
Package Name: NetworkManager-fortisslvpn
Short Description: NetworkManager VPN plugin for Fortinet compatible SSLVPN
Upstream URL: http://www.gnome.org/projects/NetworkManager/
Owners: lkundrak
Branches: f21 f22 f23 el6 epel7
Comment 7 Gwyn Ciesla 2015-10-02 07:29:13 EDT
Git done (by process-git-requests).
Comment 8 Lubomir Rintel 2015-10-05 10:30:17 EDT
Imported and built.

Thanks for review & repository.

Note You need to log in before you can comment on or make changes to this bug.